CGAL 5.6.3 - 2D Triangulations

Loading...
Searching...
No Matches
Functions
Draw a Triangulation 2
2D Triangulations Reference

##

#include <CGAL/draw_triangulation_2.h>

## Functions
template<class T2 >
void | CGAL::draw (const T2 &at2)
| opens a new window and draws a triangulation.
template<class CT2 , class InDomainPMap >
void | CGAL::draw (const CT2 &act2, InDomainPMap ipm)
| opens a new window and draws a constrained triangulation.

## Function Documentation

## ◆ draw() [1/2]

template<class CT2 , class InDomainPMap >

void CGAL::draw | ( | const CT2 & | act2,
|  | InDomainPMap | ipm
| ) |  |

`#include <CGAL/draw_triangulation_2.h>`

opens a new window and draws a constrained triangulation.

If the triangulation has constraints they are drawn. The faces inside and outside of the domain, based on the property map, are drawn in different colors.

A call to this function is blocking, that is the program continues as soon as the user closes the window. This function requires `CGAL_Qt5`, and is only available if the macro `CGAL_USE_BASIC_VIEWER` is defined. Linking with the cmake target `CGAL::CGAL_Basic_viewer` will link with `CGAL_Qt5` and add the definition `CGAL_USE_BASIC_VIEWER`.

Template Parameters

  CT2 | a triangulation class derived from `Constrained_triangulation_2`
  InDomainPMap | a class model of `ReadWritePropertyMap` with `CT::Face_handle` as key type and `bool` as value type.

Parameters

  act2 | the constrained triangulation to draw.
  ipm | the property map defining the faces which are in the domain.

## ◆ draw() [2/2]

template<class T2 >

void CGAL::draw | ( | const T2 & | at2 | ) |

`#include <CGAL/draw_triangulation_2.h>`

opens a new window and draws a triangulation.

If the triangulation has constraints they are drawn. If the face type has a member function `bool is_in_domain()` the faces inside and outside of the domain are drawn in different colors.

A call to this function is blocking, that is the program continues as soon as the user closes the window. This function requires `CGAL_Qt5`, and is only available if the macro `CGAL_USE_BASIC_VIEWER` is defined. Linking with the cmake target `CGAL::CGAL_Basic_viewer` will link with `CGAL_Qt5` and add the definition `CGAL_USE_BASIC_VIEWER`.

Template Parameters

  T2 | a triangulation class derived from `Triangulation_2` or `Constrained_triangulation_2`

Parameters

  at2 | the triangulation to draw.